.\"#ident "%W% %G%"
.\"
.\" # Copyright (C) 1994 Kubota Graphics Corp.
.\" # 
.\" # Permission to use, copy, modify, and distribute this material for
.\" # any purpose and without fee is hereby granted, provided that the
.\" # above copyright notice and this permission notice appear in all
.\" # copies, and that the name of Kubota Graphics not be used in
.\" # advertising or publicity pertaining to this material.  Kubota
.\" # Graphics Corporation MAKES NO REPRESENTATIONS ABOUT THE ACCURACY
.\" # OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED
.\" # "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING THE
.\" # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" # PURPOSE AND KUBOTA GRAPHICS CORPORATION DISCLAIMS ALL WARRANTIES,
.\" # EXPRESS OR IMPLIED.
.\"
.TH DoDiffuseIntens 3D  "Dore"
.SH NAME
DoDiffuseIntens \- Create a diffuse intensity primitive attribute object
.SH SYNOPSIS
.nf
.ft 3
C:
.in  +.5i
DtObject DoDiffuseIntens(intensity)
DtReal intensity;
.sp
.in -.5i
FORTRAN:
.in +.5i
INTEGER*4 DODIFI(INTENS)
REAL*8 INTENS
.in -.5i
.fi
.SH DESCRIPTION
.IX DODIFI
.IX DoDiffuseIntens
\f2DoDiffuseIntens\fP creates a diffuse intensity primitive attribute.
The \f2intensity\fP parameter specifies 
a weighting factor for
a surface's diffuse response to light from incident
light sources in the environment.
The diffuse intensity ranges from 0.0 to 1.0.
.PP
The diffuse intensity is one of three aspects of the diffuse component of
a surface.  The other two aspects are the \f2DoDiffuseColor\fP
<\f2DODIFC\fP> and the \f2DoDiffuseSwitch\fP <\f2DODIFS\fP>.
.SH DEFAULTS
The default value for \f2DoDiffuseIntens\fP is 1.0.
.SH "SEE ALSO"
DoDiffuseColor(3D), DoDiffuseSwitch(3D)
